Package docking

# Enum Class DockingUtils.TreeTraversalOrder

java.lang.Object
java.lang.Enum<DockingUtils.TreeTraversalOrder>
docking.DockingUtils.TreeTraversalOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<DockingUtils.TreeTraversalOrder>`, `Constable`

Enclosing class:
  `DockingUtils`

public static enum DockingUtils.TreeTraversalOrder extends Enum<DockingUtils.TreeTraversalOrder>
Specifies the order of component traversal

See Also:
  - `DockingUtils.forAllDescendants(Container, Class, TreeTraversalOrder, ComponentCallback)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHILDREN_FIRST`
  `PARENT_FIRST`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DockingUtils.TreeTraversalOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DockingUtils.TreeTraversalOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHILDREN_FIRST

    public static final DockingUtils.TreeTraversalOrder CHILDREN_FIRST

  - ### PARENT_FIRST

    public static final DockingUtils.TreeTraversalOrder PARENT_FIRST

- ## Method Details

  - ### values

    public static DockingUtils.TreeTraversalOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DockingUtils.TreeTraversalOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null